function a3_ica_prepare()

%% add fieldtrip toolbox

addpath(fullfile('..','..', 'tools', 'fieldtrip'));
ft_defaults()
ft_hastoolbox('EEGLAB')
addpath(genpath(fullfile('..','..', 'tools', 'fieldtrip', 'external', 'eeglab')))
ft_compile_mex(true)

%% compile function and append dependencies

addpath(fullfile('..','..', 'tools', 'helpers'))

mcc -m a3_ica.m 

exit